org.w3c.dom.html

## Interface HTMLTableCellElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLTableCellElement
      extends HTMLElement

  The object used to represent the `TH` and `TD` elements. See the TD element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbbr()` Abbreviation for header cells.
    `java.lang.String` | `getAlign()` Horizontal alignment of data in cell.
    `java.lang.String` | `getAxis()` Names group of related headers.
    `java.lang.String` | `getBgColor()` Cell background color.
    `int` | `getCellIndex()` The index of this cell in the row.
    `java.lang.String` | `getCh()` Alignment character for cells in a column.
    `java.lang.String` | `getChOff()` Offset of alignment character.
    `int` | `getColSpan()` Number of columns spanned by cell.
    `java.lang.String` | `getHeaders()` List of `id` attribute values for header cells.
    `java.lang.String` | `getHeight()` Cell height.
    `boolean` | `getNoWrap()` Suppress word wrapping.
    `int` | `getRowSpan()` Number of rows spanned by cell.
    `java.lang.String` | `getScope()` Scope covered by header cells.
    `java.lang.String` | `getVAlign()` Vertical alignment of data in cell.
    `java.lang.String` | `getWidth()` Cell width.
    `void` | `setAbbr(java.lang.String abbr)`
    `void` | `setAlign(java.lang.String align)`
    `void` | `setAxis(java.lang.String axis)`
    `void` | `setBgColor(java.lang.String bgColor)`
    `void` | `setCellIndex(int cellIndex)`
    `void` | `setCh(java.lang.String ch)`
    `void` | `setChOff(java.lang.String chOff)`
    `void` | `setColSpan(int colSpan)`
    `void` | `setHeaders(java.lang.String headers)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setNoWrap(boolean noWrap)`
    `void` | `setRowSpan(int rowSpan)`
    `void` | `setScope(java.lang.String scope)`
    `void` | `setVAlign(java.lang.String vAlign)`
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getCellIndex

          int getCellIndex()

      The index of this cell in the row.

    - #### setCellIndex

          void setCellIndex(int cellIndex)

    - #### getAbbr

          java.lang.String getAbbr()

      Abbreviation for header cells. See the abbr attribute definition in HTML 4.0.

    - #### setAbbr

          void setAbbr(java.lang.String abbr)

    - #### getAlign

          java.lang.String getAlign()

      Horizontal alignment of data in cell. See the align attribute definition in HTML 4.0.

    - #### setAlign

          void setAlign(java.lang.String align)

    - #### getAxis

          java.lang.String getAxis()

      Names group of related headers. See the axis attribute definition in HTML 4.0.

    - #### setAxis

          void setAxis(java.lang.String axis)

    - #### getBgColor

          java.lang.String getBgColor()

      Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setBgColor

          void setBgColor(java.lang.String bgColor)

    - #### getCh

          java.lang.String getCh()

      Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

    - #### setCh

          void setCh(java.lang.String ch)

    - #### getChOff

          java.lang.String getChOff()

      Offset of alignment character. See the charoff attribute definition in HTML 4.0.

    - #### setChOff

          void setChOff(java.lang.String chOff)

    - #### getColSpan

          int getColSpan()

      Number of columns spanned by cell. See the colspan attribute definition in HTML 4.0.

    - #### setColSpan

          void setColSpan(int colSpan)

    - #### getHeaders

          java.lang.String getHeaders()

      List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.0.

    - #### setHeaders

          void setHeaders(java.lang.String headers)

    - #### getHeight

          java.lang.String getHeight()

      Cell height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setHeight

          void setHeight(java.lang.String height)

    - #### getNoWrap

          boolean getNoWrap()

      Suppress word wrapping. See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setNoWrap

          void setNoWrap(boolean noWrap)

    - #### getRowSpan

          int getRowSpan()

      Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.0.

    - #### setRowSpan

          void setRowSpan(int rowSpan)

    - #### getScope

          java.lang.String getScope()

      Scope covered by header cells. See the scope attribute definition in HTML 4.0.

    - #### setScope

          void setScope(java.lang.String scope)

    - #### getVAlign

          java.lang.String getVAlign()

      Vertical alignment of data in cell. See the valign attribute definition in HTML 4.0.

    - #### setVAlign

          void setVAlign(java.lang.String vAlign)

    - #### getWidth

          java.lang.String getWidth()

      Cell width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setWidth

          void setWidth(java.lang.String width)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.